<?php

function gardenly_customize_register( $wp_customize ) {
 

	 // New Gardenly Settings Panel
	
    $wp_customize->add_panel( 'gardenly_settings', array(
        'priority'       => 1,
        'capability'     => 'edit_theme_options',
        'title'          => __('Gardenly Settings', gardenly_customizer_title),
        'description'    => __('Customize the look of Gardenly Child Theme.', gardenly_customizer_title),
    ));
	 
	 
	 
	// add the section to contain the settings
	$wp_customize->add_section( 'gardenly_colors' , array(
			'title'      => __( 'Gardenly Colors', gardenly_customizer_title),
			'priority'   => 0,
			'panel'  => 'gardenly_settings',
	) ); 
	
	// add the section to contain the settings
	$wp_customize->add_section( 'gardenly_fonts' , array(
			'title'      => __( 'Gardenly Fonts', gardenly_customizer_title),
			'priority'   => 0,
			'panel'  => 'gardenly_settings',
	) ); 
	 
	// Gradient Colors
	$colors[] = array(
	    'slug'=>'color_scheme_1', 
	    'default' => '#32302b',
	    'label' => 'Dark Background Color #1'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_2', 
	    'default' => '#1b1a17',
	    'label' => 'Dark Background Color #2'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_3', 
	    'default' => '#72ab00',
	    'label' => 'Accent color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_4', 
	    'default' => '#edede5',
	    'label' => 'Light Background Color'
	);

	// add the settings and controls for each color
	foreach( $colors as $color ) {
	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options'
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new ET_Divi_Customize_Color_Alpha_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'gardenly_colors',
	            'settings' => $color['slug'])
	        )
	    );
	}
	

	
	$font_weights = array(
		'100'   => __( 'Thin' ),
        '200'  => __( 'Ultra Light' ),
        '300'  => __( 'Light' ),
        '400'  => __( 'Regular' ),
		'500'   => __( 'Medium' ),
        '600'  => __( 'Semi Bold' ),
        '700'  => __( 'Bold' ),
        '800'  => __( 'Ultra Bold' ),
        '900'  => __( 'Heavy' )
	);
	
	
	$wp_customize->add_setting( 'header_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'header_font_weight', array(
		'label'	      => 'Headings Font Weight',
		'section'     => 'gardenly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'body_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'body_font_weight', array(
		'label'	      => 'Body Text Font Weight',
		'section'     => 'gardenly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'button_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'button_font_weight', array(
		'label'	      => 'Buttons Font Weight',
		'section'     => 'gardenly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'nav_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'nav_font_weight', array(
		'label'	      => 'Primary Nav Font Weight',
		'section'     => 'gardenly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
}
add_action( 'customize_register', 'gardenly_customize_register' );




function gardenly_customize_settings() {
	
	$color_scheme_1 = get_option( 'color_scheme_1', '#32302b' );
	$color_scheme_2 = get_option( 'color_scheme_2', '#1b1a17' );
	$color_scheme_3 = get_option( 'color_scheme_3', '#72ab00' );
	$color_scheme_4 = get_option( 'color_scheme_4', '#edede5' );
	$header_font_weight = get_option( 'header_font_weight', '400' );
	$body_font_weight = get_option( 'body_font_weight', '400' );
	$button_font_weight = get_option( 'button_font_weight', '400' );
	$nav_font_weight = get_option( 'nav_font_weight', '400' );

?>
	<style>

    /* Dark Background Color #1 */
	#main-header, #page-container, #main-footer,
	.ds-hero-header.et_pb_bg_layout_light .et_pb_more_button,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a:hover {
		background:<?php echo $color_scheme_1; ?>;
	}
	.et_pb_scroll_top.et-pb-icon:hover,
	.ds-hero-header.et_pb_bg_layout_light .et_pb_more_button:after,
	.dl-photo-link .et_pb_blurb_container h4,
	.dl-contact-form .et_pb_contact p input, 
	.dl-contact-form .et_pb_contact p textarea,
	.dl-team-member .et_pb_team_member_description h4,
	.dl-team-member .et_pb_member_social_links a,
	#sidebar h4.widgettitle,
	.et_pb_widget a, .et_pb_widget li a,
	#commentform textarea,
	#commentform input[type="text"],
	#commentform input[type="email"],
	#commentform input[type="url"],
	.dl-accordion h5.et_pb_toggle_title,
	.dl-pricing-tables .et_pb_pricing_heading h2,
	.dl-pricing-tables .et_pb_pricing_heading .et_pb_best_value,
	.dl-pricing-tables .et_pb_pricing li.et_pb_not_available,
	.dl-pricing-tables .et_pb_pricing li.et_pb_not_available span::before {
		color:<?php echo $color_scheme_1; ?>;
	}
	#main-content .et_pb_section.dl-section-brown {
		background-color:<?php echo $color_scheme_1; ?>!important;
	}
	.ds-hero-header.et_pb_bg_layout_light .et_pb_more_button,
	.dl-pricing-tables .et_pb_pricing_table,
	#commentform textarea:focus,
	#commentform input[type="text"]:focus,
	#commentform input[type="email"]:focus,
	#commentform input[type="url"]:focus {
		border-color:<?php echo $color_scheme_1; ?>;
	}
	.ds-hero-header.et_pb_bg_layout_light .et_pb_more_button:hover,
	.dl-mini-blurb .et-pb-icon {
		color:<?php echo $color_scheme_1; ?>!important;
	}
	
	/* Dark Background Color #1 */
	#top-header,
	#top-menu > li > ul.sub-menu,
	.et_mobile_menu,
	#footer-bottom {
		background:<?php echo $color_scheme_2; ?>;
	}
	.ds-hero-header.et_pb_bg_layout_light,
	.ds-hero-header.et_pb_bg_layout_light h1,
	.dl-fullwidth-header.et_pb_bg_layout_light h1,
	#sidebar h4.widgettitle {
		color:<?php echo $color_scheme_2; ?>!important;
	}
	
	/* Accent Color */
	a,
	#top-menu > li.current-menu-item > a,
	#top-menu > li.current-menu-item > a:hover,
	#main-footer h4,
	.et_pb_button.et_pb_bg_layout_light:after,
	blockquote:before,
	.et_pb_text a,
	.dl-testimonial-slider h2.et_pb_slide_title:before,
	.dl-contact-form .et_pb_button:after,
	.dl-team-member .et_pb_member_position,
	.dl-team-member .et_pb_member_social_links a:hover,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a:not(.active):hover,
	.widget_search input#searchsubmit:hover,
	.et_pb_widget a:hover, .et_pb_widget li a:hover,
	h2.entry-title a:hover,
	h3#reply-title span,
	.comment-reply-link.et_pb_button:after,
	.dl-accordion h5.et_pb_toggle_title::before,
	.dl-pricing-tables .et_pb_dollar_sign,
	.dl-pricing-tables .et_pb_sum,
	.dl-pricing-tables .et_pb_frequency,
	.dl-pricing-tables .et_pb_pricing li span::before {
	    color:<?php echo $color_scheme_3; ?>;
	}
	.et_pb_button.et_pb_bg_layout_light:hover,
	.et_pb_bg_layout_dark h4, h4,
	.dl-contact-form .et_pb_button:hover,
	.dl-number-counter h3,
	article.et_pb_post p.post-meta, article.et_pb_post p.post-meta a,
	.comment-reply-link.et_pb_button:hover, #commentform input#submit:hover {
	    color:<?php echo $color_scheme_3; ?>!important;
	}
	#top-menu li a:before,
	.et_mobile_menu li a:hover,
	.et_pb_scroll_top.et-pb-icon,
	#footer-widgets .footer-widget a:after,
	.et_pb_button,
	.et_pb_text a:after,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a.active,
	.widget_search input#searchsubmit,
	#sidebar h4.widgettitle:before,
	.dl-faq-question:before,
	.dl-filterable-portfolio .et_overlay  {
	    background:<?php echo $color_scheme_3; ?>;
	}
	.et_pb_button,
	.et_pb_button.et_pb_bg_layout_light:hover,
	.dl-contact-form .et_pb_button:hover,
	.widget_search input#searchsubmit,
	.comment-reply-link.et_pb_button:hover, #commentform input#submit:hover,
	.dl-accordion .et_pb_toggle {
	    border-color:<?php echo $color_scheme_3; ?>;
	}
	
	/* Light Background Color */
	.dl-photo-link .et_pb_blurb_content,
	.dl-photo-link .et_pb_main_blurb_image a,
	.dl-team-member,
	#commentform textarea,
	#commentform input[type="text"],
	#commentform input[type="email"],
	#commentform input[type="url"],
	.dl-pricing-tables .et_pb_pricing_table {
		background:<?php echo $color_scheme_4; ?>;
	}
	#main-content .et_pb_section.dl-section-cream {
		background-color:<?php echo $color_scheme_4; ?>!important;
	}
	#commentform textarea,
	#commentform input[type="text"],
	#commentform input[type="email"],
	#commentform input[type="url"] { 
		border-color:<?php echo $color_scheme_4; ?>;
	}
	/* Add full-background to sidebar big screens */
	@media (min-width:980px) and (max-width:1350px) {
		#main-content {
			background: linear-gradient(to right, #ffffff 0%, #ffffff 74%, <?php echo $color_scheme_4; ?> 74%, <?php echo $color_scheme_4; ?> 100%);
		}
	}
	
	@media (min-width:1351px) and (max-width:1600px) {
		#main-content {
			background: linear-gradient(to right, #ffffff 0%, #ffffff 70%, <?php echo $color_scheme_4; ?> 70%, <?php echo $color_scheme_4; ?> 100%);
		}
	}
	
	@media (min-width:1601px) and (max-width:1900px) {
		#main-content {
			background: linear-gradient(to right, #ffffff 0%, #ffffff 67%, <?php echo $color_scheme_4; ?> 67%, <?php echo $color_scheme_4; ?> 100%);
		}
	}
	
	@media (min-width:1901px) and (max-width:2200px) {
		#main-content {
			background: linear-gradient(to right, #ffffff 0%, #ffffff 65%, <?php echo $color_scheme_4; ?> 65%, <?php echo $color_scheme_4; ?> 100%);
		}
	}
	@media (min-width:2201px) {
		#main-content {
			background: linear-gradient(to right, #ffffff 0%, #ffffff 62%, <?php echo $color_scheme_4; ?> 62%, <?php echo $color_scheme_4; ?> 100%);
		}
	}
	@media (max-width:979px) {
	#sidebar {
		background:<?php echo $color_scheme_4; ?>;
	}
}
    /* Control font weight */
    h1, h2, h3, h4, h5, h6 {
	    font-weight: <?php echo $header_font_weight; ?>;
    }
    body {
	    font-weight: <?php echo $body_font_weight; ?>;
    }
    body .et_pb_button {
	    font-weight: <?php echo $button_font_weight; ?>!important;
    }
	#top-menu-nav > ul > li > a,
	.et_mobile_menu li a {
	    font-weight: <?php echo $nav_font_weight; ?>;
    }
				    
	</style>
	
	
	
<?php
 
}
add_action( 'wp_head', 'gardenly_customize_settings' );

?>